Subject: Re: [Fwd: Need some Advice ro celebrate Darwin Day Please]

From: [email-masked]
Date: Sun, 29 Jan 2006 16:59:18 EST

David: I haven't heard of them either but they have an interesting website  
I'd like to encourage them to keep up the good work -- lets talk a bit about  
them OK?
 
In a message dated 1/28/06 5:21:59 PM Pacific Standard Time,  
[email-masked] writes:

Do you  want to try to figure out whether this group is big enough to do 
a site in  their language?  I've never heard of them.

-  David